CycloDS Evolution Firmware v1.54 Released

Discussion in 'CycloDS' started by niu, Mar 16, 2009.

  1. niu
    OP

    niu GBAtemp Fan

    Member
    1
    Dec 23, 2008
    United States
    http://cyclopsds.com/downloads/evo-firmware-1.54.zip

    CycloDS Evolution Firmware v1.54 has been released and is available for download from the support page. Changes in this release include:

    * Added automatic patcher for protected games
    * Partial support for EZ3in1+ (unfortunately, limitations with the new hardware prevent full support)
    * Problems with some kiosk demos resolved
    * Fixed bug causing skin cycling to freeze in some cases
    * Game compatibility fixes (3070, 3151, 3211, 3223, 3268, 3332, 3369, 3396, 3517)
     
  2. Curley5959

    Curley5959 CCC Member!

    Member
    1
    Feb 2, 2008
    Australia
    YEAH..

    Although my GTA is already fixed.. Ill grab a clean rom, methinks..

    [​IMG]

    YAY
     
  3. unz

    unz Chaotic Neutral

    Member
    3
    Jul 14, 2008
    Antarctica
    Curmudgeon's Corner
    Cheers niu. [​IMG]

    Hmmm... interesting timing - released 1 day before GTA:CW launches in the US.
     
  4. DeMoN

    DeMoN GBAtemp Guru

    Member
    5
    May 12, 2004
    United States
    Thank you for uploading this to GBAtemp download section. I couldn't access Team Cyclops's site at all and the link you gave does not work, so I have no clue how you managed to get a hold of it.
     
  5. jalaneme

    jalaneme Female Gamer

    Member
    4
    Nov 27, 2006
    London
    the link is dead.
     
  6. DeMoN

    DeMoN GBAtemp Guru

    Member
    5
    May 12, 2004
    United States
  7. Santee

    Santee GBAtemp Advanced Fan

    Member
    2
    Nov 13, 2008
    United States
    cool a new update but whats diffrent about this update and 1.54b4 besided gta ctw
     
  8. Rayder

    Rayder Mostly lurking lately....

    Former Staff
    4
    Jan 14, 2007
    United States
    USA
    Erm.....it's NOT a beta firmware? That SHOULD mean it's more stable than the betas.
     
  9. Santee

    Santee GBAtemp Advanced Fan

    Member
    2
    Nov 13, 2008
    United States
    i meant knew but thanks i had found out about beta not being stable though
     
  10. TraumaHoundNDS

    TraumaHoundNDS GBAtemp Fan

    Member
    1
    Sep 12, 2008
    United States
    Seattle, WA, USA
    Sweet, thanks for the heads up (though I checked Cyclo's site first after reading the EDGE update on GBA's front page.) Wonder why the CycloDS update wasn't as newsworthy?
     
  11. xxRAG3

    xxRAG3 GBAtemp Fan

    Member
    1
    Jan 6, 2009
    United States
    Guys, can you still use the same save file? Kind of scared now.
     
  12. TraumaHoundNDS

    TraumaHoundNDS GBAtemp Fan

    Member
    1
    Sep 12, 2008
    United States
    Seattle, WA, USA
    Dunno. I'd use a fresh one just to be sure (though I haven't yet played it, patched, cheat-coded, or firmware-fixed.)
     
  13. L0ck1E

    L0ck1E Newbie

    Newcomer
    1
    Mar 14, 2009
    Under The Stairs
    I continued using the same save file and had no problems.

    Latest Firmware can also be found here -
    Code:
    http://www.demonoid.com/files/details/1836777/775222/
     
  14. MicShadow

    MicShadow GBAtemp Fan

    Member
    2
    Jan 28, 2008
    Im currently having problems with loading my old arm9 fixed save of GTA:CW
    Ill post back here on my results
     
  15. Satangel

    Satangel BEAST

    Member
    6
    Nov 27, 2006
    Belgium
    Bruges, Belgium
    You're not allowed to link to torrentsites, no matter what.
     
  16. Canonbeat234

    Canonbeat234 Redeemed Temper

    Member
    1
    Sep 24, 2008
    Because Fire Emblem fanboy, it's the law even though plotholes does make this possible but it's the law nonetheless.
     
  17. hvyarms13

    hvyarms13 Newbie

    Newcomer
    1
    Mar 4, 2009
    United States
    Stockton
    thanks for the post and thank you!!!! Team Cyclops for the updated ^^
     
  18. MicShadow

    MicShadow GBAtemp Fan

    Member
    2
    Jan 28, 2008
    No luck on my problem. Even went back to 1.54 Beta 4, and still no luck. WHAT THE HELL
     
Loading...